LimitIterator::getPosition
LimitIterator::next
LimitIterator
PHP Manual

# LimitIterator::key

(PHP 5 >= 5.1.0)

LimitIterator::key — Get current key

### Description

public mixed LimitIterator::key ( void )

Gets the key for the current item in the inner Iterator.

### Parameters

This function has no parameters.

### Return Values

Returns the key for the current item.

### See Also

- LimitIterator::getPosition() - Return the current position
- LimitIterator::current() - Get current element
- LimitIterator::next() - Move the iterator forward
- LimitIterator::rewind() - Rewind the iterator to the specified starting offset
- LimitIterator::seek() - Seek to the given position
- LimitIterator::valid() - Check whether the current element is valid

LimitIterator::getPosition
LimitIterator::next
LimitIterator
PHP Manual